godo.ActionGateway.Toolbelts.Delete()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.ActionGateway.Toolbelts.Delete(ctx context.Context, name string) (*godo.ActionGatewayToolbeltResponse, *godo.Response, error)Description
Delete deletes a toolbelt.
This method sends a DELETE request to /v2/action-gateway/toolbelts/{}.
Parameters
namestring required
Returns
- *godo.ActionGatewayToolbeltResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.ActionGatewayToolbeltResponse
ActionGatewayToolbeltResponse contains the resulting toolbelt.
Toolbelt*godo.ActionGatewayToolbelt
Request Sample
Response Example
More Information
See DELETE /v2/action-gateway/toolbelts/{} in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.